/*===============================
=            Choices            =
===============================*/
/*@import url('https://fonts.googleapis.com/css?family=Roboto:400,500,700');*/

* {
    font-family: "Roboto", sans-serif;
}

.card-body select {
    width: 100%;
}

.choices {
    width: 100%;
    position: relative;
    margin-bottom: 24px;
    font-size: 16px;
}

    .choices:focus {
        outline: none;
    }

    .choices:last-child {
        margin-bottom: 0;
    }

    .choices.is-disabled .choices__inner,
    .choices.is-disabled .choices__input {
        background-color: #EAEAEA;
        cursor: not-allowed;
        user-select: none;
    }

    .choices.is-disabled .choices__item {
        cursor: not-allowed;
    }

    .choices[data-type*="select-one"] {
        cursor: pointer;
    }

        .choices[data-type*="select-one"] .choices__inner {
            padding-bottom: 7.5px;
        }

        /* .choices[data-type*="select-one"] .choices__input {
  display: block;
  width: 100%;
  padding: 10px;
  border-bottom: 1px solid #DDDDDD;
  background-color: #FFFFFF;
  margin: 0;
} */

        .choices[data-type*="select-one"] .choices__button {
            background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjEiIGhlaWdodD0iMjEiIHZpZXdCb3g9IjAgMCAyMSAyMSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48ZyBmaWxsPSIjMDAwIiBmaWxsLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik0yLjU5Mi4wNDRsMTguMzY0IDE4LjM2NC0yLjU0OCAyLjU0OEwuMDQ0IDIuNTkyeiIvPjxwYXRoIGQ9Ik0wIDE4LjM2NEwxOC4zNjQgMGwyLjU0OCAyLjU0OEwyLjU0OCAyMC45MTJ6Ii8+PC9nPjwvc3ZnPg==);
            padding: 0;
            background-size: 8px;
            position: absolute;
            top: 50%;
            right: 0;
            margin-top: -10px;
            margin-right: 25px;
            height: 20px;
            width: 20px;
            border-radius: 10em;
            opacity: .5;
        }

            .choices[data-type*="select-one"] .choices__button:hover, .choices[data-type*="select-one"] .choices__button:focus {
                opacity: 1;
            }

            .choices[data-type*="select-one"] .choices__button:focus {
                box-shadow: 0px 0px 0px 2px #00BCD4;
            }

        .choices[data-type*="select-one"]:after {
            content: "";
            height: 0;
            width: 0;
            border-style: solid;
            border-color: #333333 transparent transparent transparent;
            border-width: 5px;
            position: absolute;
            right: 11.5px;
            top: 50%;
            margin-top: -2.5px;
            pointer-events: none;
        }

        .choices[data-type*="select-one"].is-open:after {
            border-color: transparent transparent #333333 transparent;
            margin-top: -7.5px;
        }

        .choices[data-type*="select-one"][dir="rtl"]:after {
            left: 11.5px;
            right: auto;
        }

        .choices[data-type*="select-one"][dir="rtl"] .choices__button {
            right: auto;
            left: 0;
            margin-left: 25px;
            margin-right: 0;
        }

    .choices[data-type*="select-multiple"] .choices__inner,
    .choices[data-type*="text"] .choices__inner {
        cursor: text;
    }

    /* Close button */
    .choices[data-type*="select-multiple"] .choices__button,
    .choices[data-type*="text"] .choices__button {
        position: relative;
        display: inline-block;
        margin-top: 0;
        margin-right: -4px;
        margin-bottom: 0;
        margin-left: 8px;
        /* padding-left: 16px; */
        padding-left: 12px;       
        background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M16.875 4.51L15.49 3.125L10 8.615L4.51 3.125L3.125 4.51L8.615 10L3.125 15.49L4.51 16.875L10 11.385L15.49 16.875L16.875 15.49L11.385 10L16.875 4.51Z' fill='%23263057'/%3E%3C/svg%3E");
        background-size: 18px;
        line-height: 1;
        border-radius: 0;
    }

        .choices[data-type*="select-multiple"] .choices__button:hover, .choices[data-type*="select-multiple"] .choices__button:focus,
        .choices[data-type*="text"] .choices__button:hover,
        .choices[data-type*="text"] .choices__button:focus {
            opacity: 1;
        }

.choices__inner {
    display: inline-block;
    vertical-align: top;
    width: 100%;
    padding: 7.5px 7.5px 3.75px;
    border-bottom: 1px solid #DDDDDD;
    border-radius: 2.5px;
    font-size: 14px;
    min-height: 40px;
    overflow: hidden;
}

.is-focused .choices__inner,
.is-open .choices__inner {
    border-color: #b7b7b7;
}

.is-open .choices__inner {
    border-radius: 2.5px 2.5px 0 0;
}

.is-flipped.is-open .choices__inner {
    border-radius: 0 0 2.5px 2.5px;
}

.choices__list {
    margin: 0;
    padding-left: 0;
    list-style: none;
}

.choices__list--single {
    display: inline-block;
    padding: 4px 16px 4px 4px;
    width: 100%;
}

[dir="rtl"] .choices__list--single {
    padding-right: 4px;
    padding-left: 16px;
}

.choices__list--single .choices__item {
    width: 100%;
}

.choices__list--multiple {
    display: inline;
}

    .choices__list--multiple .choices__item {
        /* display: inline-block; */
        display: inline-flex;
        align-items: center;
        vertical-align: middle;
        border-radius: 15px;
        min-height: 32px;
        /* font-size: 14px;
        font-weight: 500;*/
        margin-right: 3.75px;
        margin-bottom: 3.75px;
        padding-left: 12px;
        background-color: #ECECEC;
        border: 0.5px solid #B3B3B3;
        /*color: #000000de;*/
        word-break: break-all;
        font-family: 'Roboto';
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 18px;
        color: #263057;
    }

        .choices__list--multiple .choices__item[data-deletable] {
            padding-right: 8px;
        }

[dir="rtl"] .choices__list--multiple .choices__item {
    margin-right: 0;
    margin-left: 3.75px;
}

/* .choices__list--multiple .choices__item.is-highlighted {
  background-color: #00a5bb;
  border: 1px solid #008fa1;
} */

.is-disabled .choices__list--multiple .choices__item {
    background-color: #aaaaaa;
    border: 1px solid #919191;
}

.choices__list--dropdown {
    display: none;
    z-index: 1;
    position: absolute;
    width: 100%;
    background-color: #FFFFFF;
    border: 1px solid #DDDDDD;
    top: 100%;
    margin-top: -1px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    overflow: hidden;
    word-break: break-all;
    box-sizing: border-box;
    padding: 8px;
}

    .choices__list--dropdown::-webkit-scrollbar-thumb {
        background-color: red;
    }

    .choices__list--dropdown.is-active {
        display: block;
    }

.is-open .choices__list--dropdown {
    border-color: #ddd;
}

.is-flipped .choices__list--dropdown {
    top: auto;
    bottom: 100%;
    margin-top: 0;
    margin-bottom: -1px;
    border-radius: .25rem .25rem 0 0;
}

.choices__list--dropdown .choices__list {
    position: relative;
    max-height: 300px;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    will-change: scroll-position;
}

.choices__list--dropdown .choices__item {
    position: relative;
    padding: 8px;
    font-size: 14px;
}

[dir="rtl"] .choices__list--dropdown .choices__item {
    text-align: right;
}

@media (min-width: 640px) {
    .choices__list--dropdown .choices__item--selectable {
        padding-right: 10px;
    }
    /* .choices__list--dropdown .choices__item--selectable:after {
    content: attr(data-select-text);
    font-size: 12px;
    opacity: 0;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
  } */
    [dir="rtl"] .choices__list--dropdown .choices__item--selectable {
        text-align: right;
        padding-left: 100px;
        padding-right: 10px;
    }

        [dir="rtl"] .choices__list--dropdown .choices__item--selectable:after {
            right: auto;
            left: 10px;
        }
}

.choices__list--dropdown .choices__item--selectable.is-highlighted {
    background-color: rgba(0, 102, 67, .12);
}

    .choices__list--dropdown .choices__item--selectable.is-highlighted:after {
        opacity: .5;
    }

.choices__item {
    cursor: default;
}

.choices__item--selectable {
    cursor: pointer;
}

.choices__item--disabled {
    cursor: not-allowed;
    user-select: none;
    opacity: .5;
}

.choices__heading {
    font-weight: 600;
    font-size: 12px;
    padding: 10px;
    border-bottom: 1px solid #f7f7f7;
    color: gray;
}

.choices__button {
    text-indent: -9999px;
    -webkit-appearance: none;
    appearance: none;
    border: 0;
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

    .choices__button:focus {
        outline: none;
    }

.choices__input {
    display: inline-block;
    vertical-align: baseline;
    background-color: #f9f9f9;
    background-color: transparent;
    font-size: 14px;
    margin-bottom: 5px;
    border: 0;
    border-radius: 0;
    max-width: 100%;
    padding: 4px 0 4px 2px;
    /* display: none; */
}

    .choices__input:focus {
        outline: 0;
    }

[dir="rtl"] .choices__input {
    padding-right: 2px;
    padding-left: 0;
}

.choices__placeholder {
    opacity: .5;
}

.choices__input.is-hidden,
.choices[data-type*="select-one"] .choices__input.is-hidden,
.choices[data-type*="select-multiple"] .choices__input.is-hidden {
    display: none;
}

/*=====  End of Choices  ======*/
